org.apache.cxf.transport

## Interface Destination

- All Superinterfaces:
    Observable
  All Known Subinterfaces:
    MultiplexDestination
  All Known Implementing Classes:
    AbstractDestination, AbstractMultiplexDestination

      public interface Destination
      extends Observable

  A Destination is a transport-level endpoint capable of receiving unsolicited incoming messages from different peers.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.cxf.ws.addressing.EndpointReferenceType` | `getAddress()`
    `Conduit` | `getBackChannel(Message inMessage)` Retreive a back-channel Conduit, which must be policy-compatible with the current Message and associated Destination.
    `MessageObserver` | `getMessageObserver()` Retrieves the message observer for incoming messages
    `void` | `shutdown()` Shutdown the Destination, i.e.

    - ### Methods inherited from interface org.apache.cxf.transport.Observable

      `setMessageObserver`

- - ### Method Detail

    - #### getAddress

          org.apache.cxf.ws.addressing.EndpointReferenceType getAddress()

      Returns:
        the reference associated with this Destination

    - #### getBackChannel

          Conduit getBackChannel(Message inMessage)
                          throws IOException

      Retreive a back-channel Conduit, which must be policy-compatible with the current Message and associated Destination. For example compatible Quality of Protection must be asserted on the back-channel.
      Parameters:
        `inMessage` - the current message
      Returns:
        a suitable Conduit
      Throws:
        `IOException`

    - #### shutdown

          void shutdown()

      Shutdown the Destination, i.e. stop accepting incoming messages.

    - #### getMessageObserver

          MessageObserver getMessageObserver()

      Description copied from interface: `Observable`
      Retrieves the message observer for incoming messages
      Specified by:
        `getMessageObserver` in interface `Observable`
      Returns:
        the MessageObserver for incoming messages

Apache CXF